package cn.nhyw.yjjl.service;

 import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.nhyw.yjjl.dao.NhywgyssbyjdzjkDao;

@Service("nhywgyssbyjdzjkService")
public class NhywgyssbyjdzjkService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywgyssbyjdzjkService.class);
	
	@Autowired
	private NhywgyssbyjdzjkDao nhywgyssbyjdzjkDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywgyssbyjdzjk(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywgyssbyjdzjkDao.insert_Nhywgyssbyjdzjk(map);
	}


	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywgyssbyjdzjk(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywgyssbyjdzjkDao.update_Nhywgyssbyjdzjk(map);
	}

	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywgyssbyjdzjk(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywgyssbyjdzjkDao.delete_Nhywgyssbyjdzjk(map);
	}

	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywgyssbyjdzjk(Map map) throws SQLException{
		return nhywgyssbyjdzjkDao.batch_delete_Nhywgyssbyjdzjk(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywgyssbyjdzjk(Map map) throws SQLException{
		return nhywgyssbyjdzjkDao.count_Nhywgyssbyjdzjk(map);
	}
	
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywgyssbyjdzjk(Map map) throws SQLException{
		return nhywgyssbyjdzjkDao.query_Nhywgyssbyjdzjk(map);
	}
	
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywgyssbyjdzjk(Map map) throws SQLException{
		return nhywgyssbyjdzjkDao.get_Nhywgyssbyjdzjk(map);
	}
	
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywgyssbyjdzjk(Map map) throws SQLException{
		return this.listNhywgyssbyjdzjkByPage(map);
	}
	*/
	
	/**
	 * Nhywgyssbyjdzjk 分页
	 */
	public Map listNhywgyssbyjdzjkByPage(Map map) throws SQLException {
		List<Map> list = nhywgyssbyjdzjkDao.query_Nhywgyssbyjdzjk(map);
		Integer totalCount = nhywgyssbyjdzjkDao.count_Nhywgyssbyjdzjk(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}

}
